Bug 117099 - three local variables used before set
Summary: three local variables used before set
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: transfig   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-28 14:29 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-30 21:15:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-02-28 14:29:41 UTC
Description of problem:

I just tried to compile Core2 Test1 package transfig-3.2.4-5

The compiler said

1.

genemf.c(1323): remark #592: variable "r" is used before its value is set
genemf.c(1323): remark #592: variable "g" is used before its value is set
genemf.c(1323): remark #592: variable "b" is used before its value is set

The source code is

          fillcolrgb(round(r * f), round(g * f), round(b * f));

Suggest init r, g and b before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 David Binderman 2004-11-26 12:31:02 UTC
I can copnfirm that this bug still exists in Fedora Core 3.

It also might help if the code were upgraded from K&R C,
at least fifteen years old, to ISO standard C.
 

Comment 2 Ngo Than 2004-11-30 21:15:05 UTC
it's now fixed in transfig-3.2.4-9, which will show up im rawhide
soon. Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.